Subject: bug#36759: 26.1; nftables major mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Aug 2019 11:07:12 +0300

> From: [email-masked] (Trent W. Buck)
> Date: Mon, 22 Jul 2019 17:45:33 +1000
> 
> nftables is a Linux kernel firewall.
> 
> Its configuration uses a complex BNF where many keywords are repeated;
> they mean different things in different places.
> 
> I want syntax highlighting and smart indentation for such files,
> because they're very hard to read in just conf-mode,
> even with some conf-space-keywords.
> 
> I couldn't find a major mode for this, so I wrote a basic one.
> This is working well enough for today, but I don't have the time or
> interest to maintain it properly.
> 
> If someone else is prepared to adopt it and get it into mainline Emacs,
> that would be FANTASTIC.

Sorry for the delay in responding.

Would it be possible to rewrite this mode using define-generic-mode?
See generic-x.el for some example of using that macro.

If using generic.el is somehow impossible or impractical, then could
you please format your code as a separate Lisp file according to our
conventions (see any of the *.el files in the Emacs tree for an
example), add a NEWS entry, and submit that in the "git format-patch"
form?  Bonus points for adding tests based on your example file.

Thanks.